Subject: RE: [Asrg] 7 bit channels (off topic reply to off topic remarks)

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 22 Apr 2003 07:44:33 -0700

> > I think Dave's real problem was with the term "molest" -- if a 7-bit
> > protocol is given 8-bit data, it can't do *anything* wrong 
> or malicious
> > -- having been fed illegal data, its behavior is completely
> > unspecified.  You're lucky it doesn't release poison gas into your
> > server room.  :-)  -- Nathaniel
> 
> But do you see it as a problem that IETF continues to produce 
> documents
> which are designed for a world fillerd with 7-bit channels? 
> Wouldn't it be
> nice if, for examkple, the main email RFCs didn't insist on 
> 7-bit channels?

As Nathaniel pointed out, this has since been fixed, there is now
a binary transport mode. However the term molest was used advisedly
as the subsequent post from Nathaniel on the origins of base64
shows. We are all in violent agreement here, except for Dave who
incorrectly assumed I was refering to the 7-bit encoding issue
when IU used the phrase and not the habit of people sticking all sorts
of line wrapping and other unnecessary junk into MTAs.

	Phill 
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg